@(location : models.Location)
@main("Location-Hinzufügen"){


  <div>
    <img src="@routes.Assets.at("images/wallpaperparty.jpeg")" id="bild-weg" >
    <div class="col-md-6 portlets" id="hinzupos">

      <div class="panel panel-default">

        <div class="panel-heading">

          <div class="pull-left">Location Hinzufügen</div>
          <div class="widget-icons pull-right">
            <a href="index" class="wclose"><i class="fa fa-times"></i></a>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="panel-body">
          <div class="padd">

            <div class="form quick-post">
                <!-- Edit profile form (not working)-->
              <form action="createLocationResp" method="post" class="form-horizontal" enctype="multipart/form-data" id="resp-desk">
                  <!-- Title -->

                <div class="form-group">
                  <label class="control-label col-lg-2">Location</label>
                  <div class="col-lg-10">
                    <input type="text" class="form-control" name="CName" id="tags" value="">
                    <script>
                            $("#tags").val("@location.getCName");
                    </script>
                  </div>
                </div>
                  <!-- Tags -->
                <div class="form-group">
                  <label class="control-label col-lg-2" for="tags">Bierpreis</label>
                  <div class="col-lg-10">
                    <input type="text" class="form-control" name="bierMobil" id="tags" value="">

                  </div>
                </div>

                <div class="form-group">
                  <label class="control-label col-lg-2" for="tags">Eintritt</label>
                  <div class="col-lg-10">
                    <input type="text" class="form-control" name="eintrittMobil" id="tags" value="">

                  </div>
                </div>



                <div class="form-group" id="stimmungbtn">
                  <label class="control-label col-lg-2" for="tags">Stimmung</label>
                  <div class="btn-row" align="center">

                    <div class="btn-group" data-toggle="buttons">
                      <label class="btn btn-default " id="btn2" >
                        <input type="radio" name="options" id="option1">

                        <i class="fa fa-smile-o" aria-hidden="true" id="sm1"></i>
                      </label>
                      <label class="btn btn-default" id="btn3">
                        <input type="radio" name="options" id="option2">

                        <i class="fa fa-meh-o" aria-hidden="true" id="sm2"></i>
                      </label>
                      <label class="btn btn-default" id="btn4">
                        <input type="radio" name="options" id="option3">

                        <i class="fa fa-frown-o" aria-hidden="true" id="sm3"></i>
                      </label>


                      <script>

                              var focus1=$('#btn2').on('click',function () {

                                console.log("Hier ist die gute Stimmung");
                                $("#stimmung").attr("value",1.0);
                              });

                              var focus2=$('#btn3').on('click',function () {

                                console.log("Hier ist die gute Stimmung");
                                $("#stimmung").attr("value",2.0);
                              });

                              var focus3=$('#btn4').on('click',function () {

                                console.log("Hier ist die gute Stimmung");
                                $("#stimmung").attr("value",3.0);
                              });

                      </script>
                    </div>
                  </div>
                </div>

                  <!-- Platzhalter für den Audioschnippsel -->
                <div class="form-group" id="rec">
                  <label class="control-label col-lg-1" for="tags">
                    <i class="fa fa-microphone fa-5x" aria-hidden="true"></i>

                  </label>
                  <div class="col-lg-1" align="center">
                    <p>
                      <button class="btn btn-primary btn-lg" id=startRecord type="button">record</button>
                      <button class="btn btn-primary btn-lg" id=stopRecord disabled type="button">stop</button>
                    </p>
                    <p>
                      <audio id=recordedAudio></audio>
                      <a id=audioDownload></a>
                    </p>

                  </div>
                </div>

                  <!-- Buttons -->
                <div class="form-group">
                    <!-- Buttons -->
                  <div class="col-lg-offset-2 col-lg-9">
                    <input class="btn btn-primary" type="submit" value="Hinzufügen" href="">
                    <a href="index">
                      <button type="button" class="btn btn-default">Abbrechen</button>
                    </a>
                  </div>
                </div>
                <input type="text" name="stimmung" id="stimmung" value="" style="display: none">

                <script>
                        navigator.mediaDevices.getUserMedia({audio:true})
                                .then(stream => {
                          rec = new MediaRecorder(stream);
                        rec.ondataavailable = e => {
                          audioChunks.push(e.data);
                          if (rec.state == "inactive"){
                            var blob = new Blob(audioChunks,{type:'audio/wav'});
                            recordedAudio.src = URL.createObjectURL(blob);

                            recordedAudio.controls=true;
                            recordedAudio.autoplay=false;
                            //audioDownload.href = recordedAudio.src;
                            //audioDownload.download = new Date().toISOString() + '.wav';
                            //audioDownload.innerHTML = audioDownload.download;

                            $("#blob").attr("value", recordedAudio.src);
                            //console.log("hier 1 : "+recordedAudio.src.valueOf());


                            //blob zu base64
                            var reader = new window.FileReader();
                            reader.readAsDataURL(blob);
                            reader.onloadend = function() {
                              base64data = reader.result;
                              $("#audiodatabase64").attr("value",base64data);
                              //console.log(base64data);
                            }


                          }
                        }
                        })
                        .catch(e=>console.log(e));

                        startRecord.onclick = e => {
                          startRecord.disabled = true;
                          stopRecord.disabled=false;
                          audioChunks = [];
                          rec.start();
                        }
                        stopRecord.onclick = e => {
                          startRecord.disabled = false;
                          stopRecord.disabled=true;
                          rec.stop();
                        }
                </script>


                <input id="audiodatabase64" class="versteckt" name="dateiaudio" type="hidden" accept="*/*" value="">
                  <!--<input name="audiotagfile" type="file" accept="*/*" value="">-->
              </form>







                <!--  Unten Desktop, Oben Mobil!!!! -->

              <form  action="clublist" method="post" class="form-horizontal" id="desk">
                  <!-- Title -->

                <div class="form-group">
                  <label class="control-label col-lg-2">Location</label>
                  <div class="col-lg-10">
                    <input type="text" class="form-control" id="Club2tags2987" name="nameClub" value="" readonly>
                    <script>
                            $("#Club2tags2987").val("@location.getCName");
                    </script>

                  </div>
                </div>
                  <!--
                                    <div class="form-group">
                                        <label class="control-label col-lg-2" for="tags">Eintritt</label>
                                        <div class="col-lg-10">
                                            <input type="text" class="form-control" name="eintritt" id="tags" value="">

                                        </div>
                                    </div>
                                    -->
                  <!-- Tags -->
                <div class="form-group">
                  <label class="control-label col-lg-2" for="tags">Bierpreis</label>
                  <div class="col-lg-10">
                    <input type="text" class="form-control" name="bier" id="tags" value="">
                  </div>
                </div>

                <div class="form-group">
                  <label class="control-label col-lg-2" for="tags">Eintritt</label>
                  <div class="col-lg-10">
                    <input type="text" class="form-control" name="eintrittclub" id="tags" value="">

                  </div>
                </div>



                  <!-- Buttons -->
                <div class="form-group">
                    <!-- Buttons -->
                  <div class="col-lg-offset-2 col-lg-9">
                    <input class="btn btn-primary" type="submit" value="Hinzufügen">
                    <a href="index">
                      <button type="button" class="btn btn-default">Abbrechen</button>
                    </a>
                  </div>
                </div>
              </form>
            </div>

          </div>
        </div>
      </div>
    </div>
  </div>












}